from __future__ import annotations

from typing import Tuple

from core.constants import CellValue
from ..Command import Command, WORLD_PRIORITY, WORLD_MAX_WIDTH


class SetLayerValueCommand(Command):

    def __init__(self, cell: Tuple[int, int], value: CellValue, fill: bool = False):
        self._cell = cell
        self._value = value
        self._fill = fill

    def priority(self) -> int:
        return WORLD_PRIORITY + self._cell[0] + self._cell[1] * WORLD_MAX_WIDTH


