import logging

from core.constants import CellValue
from core.state import World
from ui import UserInterface, Theme
from ui.mode import EditGameMode

logging.basicConfig(level=logging.INFO, format='\r%(asctime)s %(filename)s:%(lineno)d: %(message)s')


# Create a basic game state
world = World((20, 15))
ground = world.ground
for y in range(0, world.height):
    for x in range(0, world.width):
        ground[x, y] = CellValue.GROUND_SEA

# Create a user interface and run it
theme = Theme()
userInterface = UserInterface(theme)
gameMode = EditGameMode(theme, world)
userInterface.setGameMode(gameMode)
userInterface.setRenderSize((world.width * 16, world.height * 16))
userInterface.run()
userInterface.quit()
