from .Mouse import Mouse
from .MouseWheel import MouseWheel


class IUIEventHandler:

    # Keyboard

    def keyDown(self, key: int) -> bool:
        pass

    def keyUp(self, key: int) -> bool:
        pass

    # Mouse

    def mouseEnter(self, mouse: Mouse) -> bool:
        pass

    def mouseLeave(self) -> bool:
        pass

    def mouseButtonDown(self, mouse: Mouse) -> bool:
        pass

    def mouseButtonUp(self, mouse: Mouse) -> bool:
        pass

    def mouseWheel(self, mouse: Mouse, wheel: MouseWheel) -> bool:
        pass

    def mouseMove(self, mouse: Mouse) -> bool:
        pass

